<?php

/**
* Типик форума
* @author Mykhaylo Yatsyshyn
* @package Dk-game.ru
* version 1.0
* 17:56 20.04.15
*/


/**
* UPD 23:53  22.04.15
* @author Alex Priadko
* Вывод страниц поправлен
* появление ", "в форме ответа при надобности и тд
* оптимизированы некоторые запросы
* немного поправлены некоторые переменные
* нельзя писать пустые комменты теперь.
*/


//22.04.15
$fonts = array (null,'#ECEF3A','#EF543A','#4DE137','','#15DEFF');
$load=array('f_time','user');
$paginate = 1;
$title = "Форум";
include_once '../protected/sys.php';
if (!$user)
{
	header("Location:/");
	exit;
}

$id=intval($_GET['id']);
				if(isset($_GET['ids'])AND $_GET['ids']>=1){
				$ids=intval($_GET['ids']);
				$usF=$db->fetch("SELECT `id`,`login` FROM `users` WHERE `id`=?",array($ids));	
				} else {
				$usF=array("id"=>0,"login"=>"");
				$ids=0;
				}

if(isset($_GET['newcomment'])){
			$text=htmlspecialchars($_POST['text']);

			if (mb_strlen($text) < 3 OR mb_strlen($text)> 2048)
			{
				$_SESSION['error'] ='Длина комментария 3-2048 символов';
				header("Location:topic.php?id=".$id);
				exit;
			}
			
			$set = $db->query("INSERT INTO `forum_comment` SET `author`=?, `text`=?,`time`=?, `topic`=?, `tu`=?", array($user['id'],$text,time(),$id,$ids));
			$update=$db->query("UPDATE `forum_topic` SET `time_update`=? WHERE `id`=?",array(time(),$id));
		
}


	$sql="SELECT * FROM `forum_topic` WHERE `id`=?";
	if($db->rows($sql,array($id))==0){$_SESSION['error']="Извините такой записи не найдено."; header("Location: forum.php");
	} else {
		$top=$db->fetch($sql,array($id));
	echo "<div class='menu'>";
	echo "<a href='/forum/'>На форум</a> | <a href='/forum/?category=".$top['category']."'>В категорию</a></div>";
	echo "<div class='menu'>";
		$us=$db->fetch("SELECT `id`,`login` FROM `users` WHERE `id`=?",array($top['author']));
		 
		$us_class=new user($db);
		$login=$us_class->login($us['id']);

		echo "<a href='/user?id=".$us['id']."'>".$login."</a>  ".time_v($top['time']); if($top['time']+3600<time()){echo " ".data_v($top['time']);}
				echo "<br>".$top['name']."</br>";
	echo "<div class='menu'>";
				echo $top['text']."</br>";
	echo "</div>";
	echo "Коментарии: </br>";
		if($user){


			//upd 22.04.15
			//
			if ($user['close'] == 1)
{
	?>
	<div class ='content'/>
		<span class ='grey2'/>
			Для Вас теперь чат и форум в режиме чтения...
		</span>
	</div>
	<?php
}else{
			echo "<form action='?id=".$id."&newcomment&idF=".$usF['id']."' method='POST'>";
			echo "<textarea name='text' class='input' rows='5' cols='30'>".(isset($_GET['ids']) ? $usF['login'].', ':null)." </textarea></br>";
			echo '<button><span class="ubtn inbl green"><span class="ul"><span class="ur">Отправить</span></span></span></button>';
			echo "</form>";
		}
		}
			$c = 10;
			$k_post = $db->rows("SELECT * FROM `forum_comment` WHERE `topic`=?",array($id));
			$k_page = k_page($k_post,$c);
			$page = page($k_page);
			$start = $c*$page-$c;
			?><div class="hr_arr mt2 mb2 mlr10">
	<div class="alf">
		<div class="art">
			<div class="acn">
			</div>
		</div>
	</div>
</div><?
				if($k_post==0){echo "Нет комментариев";
				} else { 
$db->Emulate(FALSE);				
				$comment=$db->fetchAll("SELECT * FROM `forum_comment` WHERE `topic`=? ORDER BY `id` DESC LIMIT ?,?",array($id,$start,$c));
$coll=0;

					foreach ($comment as $comm)
					{

	$coll++;
	$userMessage = $db->fetch("SELECT * FROM `users` WHERE `id`=?",
							  array($comm['author']));
						$usC=$db->fetch("SELECT * FROM `users` WHERE `id`=?",array($comm['author']));


		$login=$us_class->login($usC['id']);
	
						echo "<img src = '/imgData/static/".$userMessage['sex'].".png'/> <a href='/user?id=".$usC['id']."'>".$login."</a>  ".time_v($comm['time']); if($comm['time']+3600<time()){echo " ".data_v($comm['time']);}	  
						if($comm['tu']==$user['id']){ ?>
 							</br><i><font color = '<?=$fonts[5];?>'/><?=htmlspecialchars($comm['text']);?></i></font>
						<? } else { ?>
							</br><font color = '<?=$fonts[$userMessage['access']];?>'/><?=htmlspecialchars($comm['text']);?></font>
						<? } 
						if($comm['author']!=$user['id']){
							echo "</br><a href='?id=".$id."&ids=".$comm['author']."'>Ответить</a>";

						}
					if($coll!=10 AND $coll!=$k_post){
			?><div class="hr_arr mt2 mb2 mlr10">
	<div class="alf">
		<div class="art">
			<div class="acn">
			</div>
		</div>
	</div>
</div><?
					}
					}
if ($k_page > 1)
{
	?>
	<div class="hr_arr mt2 mb2 mlr10">
		<div class="alf">
			<div class="art">
				<div class="acn">
				</div>
			</div>
		</div>
	</div>
	<center>
	<?


	str('?',$k_page,$page,"&id=".$id); // Вывод страниц


	?>
	</center>
	<div class="hr_arr mt2 mb2 mlr10">
		<div class="alf">
			<div class="art">
				<div class="acn">
				</div>
			</div>
		</div>
	</div>
	<?
}
				}	

}

include_once $config['root'].'/protected/footermain.php';
?>









